<template>
  <DefaultLayout>
    <IntroBlock
      :placeholder="placeholder"
      page-title="page_titles.blog"
    />
    <h3>{{ $t('blog.latest_articles') }}</h3>
    <div class="posts-container">
      <g-link
        v-for="(article, index) in articles=getArticlesForCurrentLocale()"
        :key="article.node.id"
        :to="$tp(article.node.path, $i18n.locale, true)"
        class="article-post"
      >
        <div class="container article">
          <h4 class="article-title">
            {{ article.node.title }}
          </h4>
          <span class="article-publication-date">
            {{ formatISODateTimeToLocale(article.node.publication_date, $i18n.locale) }}
          </span>
          <p class="article-description">
            {{ article.node.description }}
          </p>
          <p class="read-more">
            {{ $t('blog.read_more') }}
          </p>
        </div>
        <hr v-if="index !== articles.length - 1">
      </g-link>
    </div>
  </DefaultLayout>
</template>

<page-query>
  query ArticleList {
    posts: allArticlePost {
      edges {
        node {
          id
          title
          description
          lang
          path
          publication_date
        }
      }
    }
  }
</page-query>

<script src="../scripts/views/blog.js"/>
<style lang="scss" src="../styles/views/blog.scss"/>
